#!/bin/bash

# Set failfast
set -e
set -o pipefail

WORKFLOW_DIR=/lustre/aoc/cluster/pipeline/"$CAPO_PROFILE"/workspaces/sbin

# Build PEX files
cd /packages/apps/cli/executables/pexable
for d in * ; do
  cd "${d}"
  python3 setup.py bdist_pex --bdist-all --bdist-dir="$WORKFLOW_DIR" --pex-args="--python-shebang /home/ssa/bin/python3.8" || true
  cd ..
done

# Copy wf_framwork shell scripts to workflow dir
cp /packages/apps/cli/executables/wf_framework/sh/*.sh "$WORKFLOW_DIR"

# Return to base /code directory
cd /code

# Start pserve normally
pserve --reload development.ini
